%define Name gcc
%define Version 2.95.3

Name        	: gg-m68k-amigaos-%{Name}
Version     	: %{Version}
Release     	: 1

Summary     	: Various compilers (C, C++, Objective-C, Chill, ...) for m68k-amigaos.
Group       	: Development/Languages
Copyright   	: GPL
URL         	: http://gcc.gnu.org

Source0		: ftp://ftp.gnu.org/gnu/%{Name}/%{Name}-%{Version}.tar.gz
Patch0		: gg-%{Name}-%{Version}.patch
BuildRoot   	: /tmp/%{Name}-%{Version}

BuildRequires	: gg-texinfo, gg-libtool, gg-m68k-amigaos-binutils >= 2.9.1, gg-m68k-amigaos-ixemul-devel

Requires	: gg-m68k-amigaos-binutils >= 2.9.1
Requires	: gg-gcc-common = %{version}-%{release}

%description
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

This package is for m68k AmigaOS development.


%package -n gg-gcc-common
Summary		: Various compilers (C, C++, Objective-C, Chill, ...), common for all targets.
Group		: Development/Languages

%description -n gg-gcc-common
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

This package contains files common for all supported targets.


%prep
%setup -q -n %{Name}-%{Version}
%patch0 -p1


%build
# Just plain optimizing, since these flags will be passed to the build cross
# compiler as well and the native one. Now if I only could figure out how to
# set XFCFLAGS to "%{optflags}" ....
CFLAGS="-O2"; export CFLAGS
%define _target_platform m68k-amigaos
%configure --enable-languages			\
           --build=%{_build}			\
           --host=%{_host}
make all

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -n gg-gcc-common
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/cpp.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gcc.info


%preun -n gg-gcc-common
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/cpp.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gcc.info
fi


%files
%defattr (-,root,root)
%doc COPYING COPYING.LIB ChangeLog FAQ MAINTAINERS Product-Info README
%{_bindir}/m68k-amigaos*
%{_libdir}/gcc-lib/m68k-amigaos/%{Version}
%{_mandir}/man1/m68k-amigaos*
%{_prefix}/m68k-amigaos/*


%files -n gg-gcc-common
%defattr (-,root,root)
%doc COPYING COPYING.LIB ChangeLog FAQ MAINTAINERS Product-Info README
%{_infodir}/*info*
%{_mandir}/man1/cccp*


%changelog
* Wed Oct  3 2001 Martin Blom <martin@blom.org>
- Initial release.

